package com.cmeeting.exception;

import com.cmeeting.util.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.MethodArgumentNotValidException;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @Classname BExceptionHandler
 * @Description 自定义异常处理
 * @Author robot
 * @Date 2019-03-29 13:23
 * @Version 1.0
 */
@Slf4j
@RestControllerAdvice
public class BExceptionHandler {


    /**
     * 处理自定义异常
     */
    @ExceptionHandler(RobotBaseException.class)
    public R handlerException(RobotBaseException e) {
        return R.error(e.getCode(), e.getMessage());
    }

    /**
     * @Description 请求参数值异常
     * @param e
     * @return
     */
    @ExceptionHandler(MethodArgumentNotValidException.class)
    public R handlerException(MethodArgumentNotValidException e) {
        return R.error(-1, e.getMessage());
    }
}
